/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.Categoria;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.TaxaEmbarqueParada;
import com.rjconsultores.ventaboletos.vo.esquemaoperacional.TaxaEmbarqueW2i;

import java.sql.SQLException;
import java.util.List;

/**
 *
 * @author Desenvolvimento
 */
public interface TaxaEmbarqueParadaDAO extends GenericDAO<TaxaEmbarqueParada, Integer> {

    public List<TaxaEmbarqueParada> buscarPorLocalidade(Parada parada);
    
    public List<TaxaEmbarqueW2i> buscarEstoqueTaxaEmbarque(Parada origem, Empresa empresa, String txtKm, OrgaoConcedente orgao, Categoria categoria) throws SQLException;
}
