/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Tramo;
import com.rjconsultores.ventaboletos.entidad.TramoTiempo;

/**
 * 
 * @author Administrador
 */
public interface TramoTiempoDAO extends GenericDAO<TramoTiempo, Integer> {

	public List<TramoTiempo> buscarPorTramo(Tramo tramo);

	public List<TramoTiempo> buscarPorTramo(Tramo tramo, ClaseServicio clase);

	/**
	 * Hace una busqueda por los tramoTiempo activos, con la clase informado y
	 * donde traslapa feIni y fecFin con horainicio y horafin.
	 * 
	 * @param tramo
	 * @param clase
	 * @param fecIni
	 *            - Es la hora de inicio
	 * @param fecFin
	 *            - Es la hora de fin
	 * @return
	 */
	public List<TramoTiempo> buscar(Tramo tramo, ClaseServicio clase, Date fecIni, Date fecFin);

}
