package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfRestricaoOrgaoConcedenteDAO;
import com.rjconsultores.ventaboletos.entidad.ConfRestricaoOrgaoConcedente;

@Repository("confRestricaoOrgaoConcedenteDAO")
public class ConfRestricaoOrgaoConcedenteHibernateDAO extends GenericHibernateDAO<ConfRestricaoOrgaoConcedente, Integer>
		implements ConfRestricaoOrgaoConcedenteDAO {

	@Autowired
	public ConfRestricaoOrgaoConcedenteHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
