package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfRestricaoTramoDAO;
import com.rjconsultores.ventaboletos.entidad.ConfRestricaoTramo;

@Repository("confRestricaoTramoDAO")
public class ConfRestricaoTramoHibernateDAO extends GenericHibernateDAO<ConfRestricaoTramo, Long>
		implements ConfRestricaoTramoDAO {

	@Autowired
	public ConfRestricaoTramoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
