/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.ConfigRestriccionPago;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.FormaPago;
import com.rjconsultores.ventaboletos.entidad.RestriccionPago;
import java.util.List;

/**
 *
 * @author Administrador
 */
public interface ConfigRestriccionPagoService
        extends GenericService<ConfigRestriccionPago, Integer> {

    public List<ConfigRestriccionPago> buscar(FormaPago formaPago,
            RestriccionPago restriccionPago, Empresa empresa);
    
    /**
     * Verifica se puede dar de alta en el registro. 
     * Ej.:Para una forma de pago que ya esta configurada para "Cancelable", no se puede permitr da de alta en la misma forma de pago con
     * restriccion de "No Cancelable"
     * @param configRestriccionPago
     * @return 
     */
    public boolean puedoDarDeAlta(ConfigRestriccionPago configRestriccionPago);

    
}
