package com.rjconsultores.ventaboletos.dao;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.vo.exportacao.QdmpDerLinhaVo;

public interface IntegracaoDerPrDAO extends GenericDAO<QdmpDerLinhaVo, Integer> {

	public String buscarDadosImportacaoCabeca(Date inicio, Date fim, Empresa empresa, Integer linhaId);
    public List<QdmpDerLinhaVo> buscarDadosImportacaoLinha(Date inicio, Date fim, Empresa empresa, Integer linhaId);
    public String buscarDadosImportacaoRodape(Date inicio, Date fim, Empresa empresa, Integer linhaId);
 
}
