package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ParamConexionDAO;
import com.rjconsultores.ventaboletos.entidad.ParamConexion;

@Repository("paramConexionDAO")
public class ParamConexionHibernateDAO extends GenericHibernateDAO<ParamConexion, Integer> implements ParamConexionDAO {
	@Autowired
	public ParamConexionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
