package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.RutaIcmsExcepcionDAO;
import com.rjconsultores.ventaboletos.entidad.RutaIcmsExcepcion;

@Repository("rutaIcmsExcepcionDAO")
public class RutaIcmsExcepcionHibernateDAO extends GenericHibernateDAO<RutaIcmsExcepcion, Integer> implements RutaIcmsExcepcionDAO {
	
    @Autowired
    public RutaIcmsExcepcionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

}
