package com.rjconsultores.ventaboletos.service;

import java.math.BigDecimal;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Categoria;
import com.rjconsultores.ventaboletos.entidad.Pacote;
import com.rjconsultores.ventaboletos.entidad.PacoteTarifa;
import com.rjconsultores.ventaboletos.entidad.TipoTarifaPacote;

public interface PacoteTarifaService extends GenericService<PacoteTarifa, Integer> {

	public PacoteTarifa vincularPacoteTarifa(PacoteTarifa pacoteTarifa, Pacote pacote, TipoTarifaPacote tipoTarifaPacote, BigDecimal tarifa, Boolean indvendaweb, Categoria categoria);
	
	public PacoteTarifa buscaPacoteTarifa(Pacote pacote, TipoTarifaPacote tipoTarifaPacote);

	public List<PacoteTarifa> buscaTarifasPacote(Pacote pacote);

}
