/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.DispositivoEmbarcadaDAO;
import com.rjconsultores.ventaboletos.dao.DispositivoEmbarcadaHistoricoDAO;
import com.rjconsultores.ventaboletos.entidad.DispositivoEmbarcada;
import com.rjconsultores.ventaboletos.entidad.DispositivoEmbarcadaHistorico;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.service.DispositivoEmbarcadaHistoricoService;
import com.rjconsultores.ventaboletos.service.DispositivoEmbarcadaService;

/**
 *
 * @author Administrador
 */
@Service("dispositivoEmbarcadaHistoricoService")
public class DispositivoEmbarcadaHistoricoServiceImpl implements DispositivoEmbarcadaHistoricoService {

	@Autowired
	private DispositivoEmbarcadaHistoricoDAO dispositivoEmbarcadaHistoricoDAO;

	@Override
	public List<DispositivoEmbarcadaHistorico> obtenerTodos() {
		return dispositivoEmbarcadaHistoricoDAO.obtenerTodos();
	}

	@Override
	public DispositivoEmbarcadaHistorico suscribir(DispositivoEmbarcadaHistorico entidad) {
		return dispositivoEmbarcadaHistoricoDAO.suscribir(entidad);
	}

	@Override
	public DispositivoEmbarcadaHistorico actualizacion(DispositivoEmbarcadaHistorico entity) {
		return dispositivoEmbarcadaHistoricoDAO.actualizacion(entity);
	}

	@Override
	public List<DispositivoEmbarcadaHistorico> buscarHistoricoDispositivoPorId(Long dispositivoId) {
		return dispositivoEmbarcadaHistoricoDAO.buscarHistoricoDispositivoPorId(dispositivoId);
	}
	
}
